Package org.apache.sling.commons.log.logback.internal.config

# Class ConfigAdminSupport

java.lang.Object
org.apache.sling.commons.log.logback.internal.config.ConfigAdminSupport

public class ConfigAdminSupport extends Object
Helper to handle registration of the configurable logging services

## Constructor Summary

Constructors
Constructor
Description
`ConfigAdminSupport()`

## Method Summary

Modifier and Type
Method
Description
`void`
`start(@NotNull org.osgi.framework.BundleContext context, @NotNull org.apache.sling.commons.log.logback.internal.LogConfigManager logConfigManager)`
Register the configurable logging services
`void`
`stop()`
Unregister the configurable logging services

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

## Constructor Details

### ConfigAdminSupport

public ConfigAdminSupport()

## Method Details

### start

public void start(@NotNull @NotNull org.osgi.framework.BundleContext context, @NotNull @NotNull org.apache.sling.commons.log.logback.internal.LogConfigManager logConfigManager)
Register the configurable logging services

Parameters:
  `context` - the bundle context
  `logConfigManager` - the log config manager

### stop

public void stop()
Unregister the configurable logging services